export class AttachmentBinding {
    attachedEntity = -1;

    /**
     *
     * @type {Transform}
     */
    attachedTransform = null;

    parentEntity = -1;

    /**
     *
     * @type {Transform}
     */
    parentTransform = null;

    /**
     *
     * @type {AttachmentSocket}
     */
    socket = null;

    /**
     *
     * @type {Attachment}
     */
    attachment = null;

    link() {

    }

    unlink() {

    }

    update() {

    }
}
